import { type Parser as CSSParser } from "@siteimprove/alfa-css";
import type { Device } from "@siteimprove/alfa-device";
import type * as json from "@siteimprove/alfa-json";
import type { Feature } from "../feature.js";
import type { Condition } from "./condition.js";
export declare class Not<F extends Feature<F>> implements Feature<F, Not.JSON<F>> {
    static of<F extends Feature<F>>(condition: Condition<F>): Not<F>;
    private readonly _condition;
    private constructor();
    get condition(): Condition<F>;
    matches(device: Device): boolean;
    equals(value: unknown): value is this;
    private iterator;
    [Symbol.iterator](): Iterator<F>;
    toJSON(): Not.JSON<F>;
    toString(): string;
}
export declare namespace Not {
    interface JSON<F extends Feature<F>> {
        [key: string]: json.JSON;
        type: "not";
        condition: Condition.JSON<F>;
    }
    function isNot<T extends Feature<T>>(value: unknown): value is Not<T>;
    /**
     * {@link https://drafts.csswg.org/mediaqueries-5/#typedef-media-not}
     *
     * @internal
     */
    function parse<F extends Feature<F>>(parseInParens: (featureParser: CSSParser<F>) => CSSParser<Condition<F>>, featureParser: CSSParser<F>): CSSParser<Not<F>>;
}
//# sourceMappingURL=not.d.ts.map