import { type Parser as CSSParser, Token } from "@siteimprove/alfa-css";
import { Parser } from "@siteimprove/alfa-parser";
/**
 * @internal
 */
export declare enum Comparison {
    LessThan = "<",
    LessThanOrEqual = "<=",
    Equal = "=",
    GreaterThan = ">",
    GreaterThanOrEqual = ">="
}
/**
 * @internal
 */
export declare namespace Comparison {
    function isInclusive(comparison: Comparison): boolean;
    /**
     * {@link https://drafts.csswg.org/mediaqueries-5/#typedef-mf-lt}
     */
    const parseLessThan: CSSParser<Comparison.LessThan | Comparison.LessThanOrEqual>;
    /**
     * {@link https://drafts.csswg.org/mediaqueries-5/#typedef-mf-gt}
     */
    const parseGreaterThan: Parser<import("@siteimprove/alfa-slice").Slice<Token>, Comparison.GreaterThan | Comparison.GreaterThanOrEqual, string, []>;
    /**
     * {@link https://drafts.csswg.org/mediaqueries-5/#typedef-mf-eq}
     */
    const parseEqual: Parser<import("@siteimprove/alfa-slice").Slice<Token>, Comparison, string, []>;
    /**
     * {@link https://drafts.csswg.org/mediaqueries-5/#typedef-mf-comparison}
     */
    const parse: Parser<import("@siteimprove/alfa-slice").Slice<Token>, Comparison, string, []>;
}
//# sourceMappingURL=comparison.d.ts.map