import { Token } from "@siteimprove/alfa-css";
import { Parser } from "@siteimprove/alfa-parser";
import type { Slice } from "@siteimprove/alfa-slice";
import * as media from "./media.js";
import * as height from "./height.js";
import { Discrete } from "./discrete.js";
import * as scripting from "./scripting.js";
import * as width from "./width.js";
export type Media = media.Media;
/**
 * @public
 */
export declare namespace Media {
    type JSON = media.Media.JSON;
    export import Height = height.Height;
    export import Orientation = Discrete.Orientation;
    export import Scripting = scripting.Scripting;
    export import Width = width.Width;
    export import ForcedColors = Discrete.ForcedColors;
    export import Inverted = Discrete.Inverted;
    export import PrefersColorScheme = Discrete.PrefersColorScheme;
    export import PrefersContrast = Discrete.PrefersContrast;
    export import PrefersReducedData = Discrete.PrefersReducedData;
    export import PrefersReducedMotion = Discrete.PrefersReducedMotion;
    export import PrefersReducedTransparency = Discrete.PrefersReducedTransparency;
    const isHeight: typeof Height.isHeight;
    const isWidth: typeof Width.isWidth;
    const isMedia: typeof media.Media.isMedia;
    /**
     * {@link https://drafts.csswg.org/mediaqueries-5/#typedef-media-feature}
     */
    const parse: Parser<Slice<Token>, Media, string, []>;
}
//# sourceMappingURL=index.d.ts.map