import type { Functor } from "@siteimprove/alfa-functor";
import { Serializable } from "@siteimprove/alfa-json";
import type { Mapper } from "@siteimprove/alfa-mapper";
import type { Refinement } from "@siteimprove/alfa-refinement";
import type * as json from "@siteimprove/alfa-json";
/**
 * A bound, either inclusive or exclusive.
 *
 * @public
 */
export declare class Bound<T = unknown> implements Functor<T>, Serializable<Bound.JSON<T>> {
    static of<T>(value: T, isInclusive: boolean): Bound<T>;
    private readonly _value;
    private readonly _isInclusive;
    private constructor();
    get value(): T;
    get isInclusive(): boolean;
    map<U>(mapper: Mapper<T, U>): Bound<U>;
    hasValue<U extends T>(refinement: Refinement<T, U>): this is Bound<U>;
    toJSON(): Bound.JSON<T>;
}
/**
 * @public
 */
export declare namespace Bound {
    interface JSON<T> {
        [key: string]: json.JSON;
        value: Serializable.ToJSON<T>;
        isInclusive: boolean;
    }
}
//# sourceMappingURL=bound.d.ts.map