import { Token } from "@siteimprove/alfa-css";
import type { Device } from "@siteimprove/alfa-device";
import { Iterable } from "@siteimprove/alfa-iterable";
import { Parser } from "@siteimprove/alfa-parser";
import { Slice } from "@siteimprove/alfa-slice";
import type { Feature } from "../feature.js";
import { Query } from "./query.js";
/**
 * {@link https://drafts.csswg.org/mediaqueries-5/#media-query-list}
 *
 * @public
 */
export declare class List implements Feature<Query, List.JSON> {
    static of(queries: Iterable<Query>): List;
    private readonly _queries;
    private constructor();
    get queries(): Iterable<Query>;
    matches(device: Device): boolean;
    equals(value: unknown): value is this;
    [Symbol.iterator](): Iterator<Query>;
    toJSON(): List.JSON;
    toString(): string;
}
/**
 * @public
 */
export declare namespace List {
    type JSON = Array<Query.JSON>;
    function isList(value: unknown): value is List;
    /**
     * {@link https://drafts.csswg.org/mediaqueries-5/#typedef-media-query-list}
     */
    const parse: Parser<Slice<Token>, List, string, []>;
}
//# sourceMappingURL=list.d.ts.map