import { Token } from "@siteimprove/alfa-css";
import { Device } from "@siteimprove/alfa-device";
import { Parser } from "@siteimprove/alfa-parser";
import type { Feature } from "../feature.js";
import type * as json from "@siteimprove/alfa-json";
/**
 * {@link https://drafts.csswg.org/mediaqueries-5/#media-types}
 *
 * @public
 */
export declare class Type implements Feature<Type> {
    static of(name: string): Type;
    private readonly _name;
    private constructor();
    get name(): string;
    matches(device: Device): boolean;
    private iterator;
    [Symbol.iterator](): Iterator<Type>;
    equals(value: unknown): value is this;
    toJSON(): Type.JSON;
    toString(): string;
}
export declare namespace Type {
    interface JSON {
        [key: string]: json.JSON;
        name: string;
    }
    function isType(value: unknown): value is Type;
    /**
     * {@link https://drafts.csswg.org/mediaqueries-5/#typedef-media-type}
     */
    const parse: Parser<import("@siteimprove/alfa-slice").Slice<Token>, Type, string, []>;
}
//# sourceMappingURL=type.d.ts.map